0

I decided to test biblatex with my document, but unfortunately, I am provided with the following error:

..\biblatex.sty! LaTeX Error: Command \bibhang already defined.

Whereas my tex-file is the following:

\documentclass[12pt,a4paper,oneside]{report}

\usepackage[OT1]{fontenc}
\usepackage[left=2.5cm,right=2.5cm,top=2cm,bottom=3cm]{geometry}
\usepackage[english]{babel}
\usepackage{eurosym}
\usepackage{graphicx}
\usepackage{longtable}
\usepackage{fancyhdr}
\usepackage{subfigure}
\usepackage[medium]{titlesec}
\usepackage{authordate1-4}
\usepackage{datetime}
\usepackage[citestyle=authoryear,sorting=nyt,natbib=true,backend=bibtex]{biblatex}
\RequirePackage[pdftex]{hyperref}

\addbibresource{msources.bib}

\begin{document}

%Main part
\input{./1_introduction/1_introduction.tex}

Test \citet{tang2012}

\printbibliography
\end{document}

The bib-file contains the test reference and is placed in the same directory. Lastly, I compile the code using TeXMaker and the following procedure:

PdfLaTeX + Bib(la)tex + PdfLaTeX(x2) + View Pdf

Reinstalling the biblatex package has not fixed the error, nor has switching to natbib solved it. In fact, it remains the same while pointing towards the natbib.sty

Any suggestions appreciated.

  • 3
    Don't use the authordate1-4 package. – Ulrike Fischer Mar 12 '17 at 15:02
  • Huff.. it's been a long day. Sorry, and thanks for your help! This answer is - of course - correct. – Olivair Mar 12 '17 at 15:03
  • 1
    subfigure ought not be used: it is obsolete. Consider subfig or subcaption instead. – cfr Mar 12 '17 at 16:19
  • Can you post a fully compilable code? – Bernard Mar 12 '17 at 17:36
  • @moewe: I added an short answer. – Ulrike Fischer Mar 24 '17 at 8:29
3

Don't use the authordate1-4 package. It clashes with biblatex.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.